Affected Flow version:
Subject: Classes disappearing cause havoc
Description

After "pulling" to commit a1c1304a26fd6e9173adccf58c6adb2b462d820f I got the following error in FLOW3 CLI

aafie4300:typo3v5 sorenmalling$ ./flow3 

Uncaught Exception in FLOW3 #1265213849: The object "TYPO3\Media\Domain\Repository\ImageRepository" which was
specified as a property in the object configuration of object "TYPO3\TYPO3\Controller\Backend\ContentController"
(automatically registered class) does not exist. Check for spelling mistakes and if that dependency is correctly configured.
thrown in file Packages/Framework/TYPO3.FLOW3/Classes/Object/DependencyInjection/ProxyClassBuilder.php
in line 423
Reference code: 201110041021325e21dd

#0 TYPO3\FLOW3\Error\DebugExceptionHandler::echoExceptionCli()
   /opt/local/apache2/htdocs/typo3v5/Packages/Framework/TYPO3.FLOW3/Classes/Error/AbstractExceptionHandler.php:49

#1 TYPO3\FLOW3\Error\AbstractExceptionHandler::handleException()

PHP 5.3.3 (cli) (built: Nov 17 2010 14:44:01) 
Copyright (c) 1997-2010 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies

Uncaught Exception in FLOW3 #1297263663: The compile run failed. Please check the error output or system log for more
information.
thrown in file Packages/Framework/TYPO3.FLOW3/Classes/Core/Bootstrap.php
in line 414
Reference code: 201110041021322c68e5

#0 TYPO3\FLOW3\Error\DebugExceptionHandler::echoExceptionCli()
   /opt/local/apache2/htdocs/typo3v5/Packages/Framework/TYPO3.FLOW3/Classes/Error/AbstractExceptionHandler.php:49

#1 TYPO3\FLOW3\Error\AbstractExceptionHandler::handleException()

Karsten mentions in his "tweeting" with me

Ah, well. Classes disappearing cause havoc, true.

Sorry, can't give better explanation ATM

History
#1 - 2011-10-12 10:42 - Robert Lemke
- Status changed from New to Closed
- Target version set to 1230

The problem in your case was that the Media package was not available because you probably didn't update the submodules.

The error message is correct – the mentioned class is not available.  As long as we don't have dependency checking support in the Package Manager
(planned for 1.1), there's nothing we really can do about it.

#2 - 2011-10-20 01:42 - Karsten Dambekalns
- Target version deleted (1230)
